% POD example

x = linspace(0,1,25);
t = linspace(0,2,50);
[T,X] = meshgrid(t,x);
F = exp( -abs(X-0.5).*(T-1) ) + sin(X.*T);


[U,S,V] = svd(F);

k = 2;

Fapp = zeros(25,50);
for j=1:k
    Fapp = Fapp + S(j,j)*U(:,j)*V(:,j)';
end

norm(F-Fapp)/norm(F)



for j=1:25
    S1(j) = S(j,j);
end

sum(S1(1:k))/sum(S1)