% QR algorithm with shift

function A = shift_qr(A,N)

[m,m1] = size(A);

for k=1:N
    
    mu = A(m,m);
    [QM,RM] = mgs(A-mu*eye(m));
    if abs(RM(m,m)) < 1e-5
        break;  % when mu is close to an eigenvalue
    end
    A = RM*QM + mu*eye(m);
    
end